# Generic, Squiz and PEAR Rules

- Generic
    - Generic.ControlStructures
        - Generic.ControlStructures.InlineControlStructure
    - Generic.Files
        - Generic.Files.ByteOrderMark
        - Generic.Files.LineEndings
        - Generic.Files.LineLength
    - Generic.Functions
        - Generic.FunctionCallArgumentSpacing
    - Generic.Metrics   
        - Generic.Metrics.CyclomaticComplexity    
        - Generic.Metrics.NestingLevel
    - Generic.NamingConventions
        - Generic.NamingConventions.ConstructorName
        - Generic.NamingConventions.UpperCaseConstantName
    - Generic.WhiteSpace
        - Generic.WhiteSpace.SuperfluousWhitespace
        - Generic.WhiteSpace.ScopeIndent
        - Generic.WhiteSpace.DisallowTabIndent
    - Generic.Formatting
        - Generic.Formatting.DisallowMultipleStatements
    - Generic.PHP
        - Generic.PHP.CharacterBeforePHPOpeningTag
        - Generic.PHP.LowerCaseConstant
        - Generic.PHP.LowerCaseKeyword
        
- Squiz
    - Squiz.Classes
        - Squiz.Classes.ValidClassName
        - Squiz.Classes.LowercaseClassKeywords
    - Squiz.ControlStructures
        - Squiz.ControlStructures.ControlSignature
        - Squiz.ControlStructures.ForEachLoopDeclaration
        - Squiz.ControlStructures.ForLoopDeclaration
        - Squiz.ControlStructures.LowercaseDeclaration
        - Squiz.ControlStructures.InlineControlStructure
    - Squiz.Functions
        - Squiz.Functions.FunctionDeclaration
        - Squiz.Functions.LowercaseFunctionKeywords
        - Squiz.Functions.FunctionDeclarationArgumentSpacing
        - Squiz.Functions.MultiLineFunctionDeclaration
    - Squiz.PHP
        - Squiz.PHP.Eval
        - Squiz.PHP.CommentedOutCode
        - Squiz.PHP.InnerFunctions
        - Squiz.PHP.LowercasePHPFunctions
        - Squiz.PHP.NonExecutableCode
     - Squiz.Scope
        - Squiz.Scope.MemberVarScope
        - Squiz.Scope.MethodScope
        - Squiz.Scope.StaticThisUsage    
    - Squiz.WhiteSpace
        - Squiz.WhiteSpace.ScopeKeywordSpacing
        - Squiz.WhiteSpace.ControlStructureSpacing
        - Squiz.WhiteSpace.ScopeClosingBrace

- PEAR
    - PEAR.Functions
        - PEAR.Functions.ValidDefaultValue
